Name: help2man
Version: 1.36.4
Release: alt2

Summary: help2man creates simple man pages from the output of programs
License: GPL
Group: Development/Other
Url: http://www.gnu.org/software/help2man/
Packager: Dmitry V. Levin <ldv@altlinux.org>

%def_enable nls

# NLS support makes whole package arch-specific.
%{?!_enable_nls:BuildArch: noarch}

# ftp://ftp.gnu.org/gnu/help2man/help2man-%version.tar.gz
Source: help2man-%version.tar

Patch1: help2man-1.35.1-alt-texinfo.patch
Patch2: help2man-1.35.1-alt-runas.patch

Requires(post): %install_info
Requires(preun): %uninstall_info
Requires: coreutils

%if_enabled nls
%define lib_suffix %nil
%{expand:%%define lib_suffix %(test %_lib != lib64 && echo %%nil || echo '()(64bit)')}
Requires: preloadable_libintl.so%lib_suffix
BuildRequires: perl-Locale-gettext
%endif

%description
help2man is a tool for automatically generating simple manual
pages from program output.

This program is intended to provide an easy way for software authors
to include a manual page in their distribution without having to
maintain that document.

Given a program which produces reasonably standard --help and
--version outputs, help2man can re-arrange that output into
something which resembles a manual page.

%prep
%setup -q
%patch1 -p1
%patch2 -p1
install -pm644 debian/README README.example

%build
%{?_enable_nls:test -r %_libdir/preloadable_libintl.so}
%configure %{subst_enable nls}
%make_build

%install
%makeinstall
%find_lang --with-man help2man

%post
%install_info help2man.info

%preun
%uninstall_info help2man.info

%files -f help2man.lang
%if_enabled nls
%_libdir/*
%endif
%_bindir/*
%_infodir/*.info*
%doc ChangeLog NEWS README* THANKS help2man.h2m

%changelog
* Thu Apr 12 2007 Dmitry V. Levin <ldv@altlinux.org> 1.36.4-alt2
- Uncompressed tarball.

* Thu Mar 30 2006 Dmitry V. Levin <ldv@altlinux.org> 1.36.4-alt1
- Updated to 1.36.4.

* Wed Mar 02 2005 Dmitry V. Levin <ldv@altlinux.org> 1.35.1-alt1
- Updated to 1.35.1.
- Updated patches.
- Enabled nls support by default.

* Fri May 02 2003 Dmitry V. Levin <ldv@altlinux.org> 1.29-alt2
- Deal with info dir entries such that the menu looks pretty.
- Use runas(1) to run executable.
- Changed %%postun script to %%preun.
- Updated package dependencies.

* Mon Sep 23 2002 Yuri N. Sedunov <aris@altlinux.ru> 1.29-alt1
- 1.29

* Fri May 03 2002 Yuri N. Sedunov <aris@altlinux.ru> 1.27-alt1
- 1.27

* Tue Mar 12 2002 Yuri N. Sedunov <aris@altlinux.ru> 1.26-alt1
- 1.26

* Sun Jan 13 2002 Yuri N. Sedunov <aris@altlinux.ru> 1.25-alt1
- First build for Sisyphus.
